CalryOTA Docs
Listing

Delete a listing video

Removes the video from the listing and deletes the stored file. The daily sweep backstops any storage delete that fails.

DELETE
/api/v1/listing/{id}/videos/{videoId}

Authorization

x-calry-api-key
x-calry-api-key<token>

In: header

Path Parameters

id*string

Unique identifier of the listing

videoId*string

Unique identifier of the video

Header Parameters

x-calry-tenant-id?string

Optional tenant ID to specify which tenant to operate as. If not provided, the default tenant will be used.

Response Body

application/json

curl -X DELETE "https://example.com/api/v1/listing/123e4567-e89b-12d3-a456-426614174000/videos/123e4567-e89b-12d3-a456-426614174000"
Empty
{
  "timestamp": "2025-03-05T11:45:49.631Z",
  "path": "<URL_PATH>",
  "message": "Authentication failed",
  "details": []
}
Empty